KCMAP_COPY_FROM_STRUCT(3)

FUNCTION
kcmap_copy_from_struct - Copy colour data into a colourmap.

SYNOPSIS
#include <karma_kcmap.h>

flag kcmap_copy_from_struct

(Kcolourmap cmap, packet_desc *top_pack_desc, char *top_packet)

DESCRIPTION
This routine will copy the colour data in a Karma data structure into a colourmap. If the colourmap changes size, then the <<resize_func>> registered is called.

cmap
    The colourmap object.

top_pack_desc
    The top level packet descriptor.

top_packet
    The top level packet.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/